unit schInventarioServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, FmtBCD, uROXMLIntf, schInventarioClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InventarioDelta = '{96541F59-4DFF-438C-A049-462AB7552CF7}';
  RID_DetalleReservasDelta = '{1693AAD2-69C6-48CE-AB23-D215F4164451}';

type
  { IInventarioDelta }
  IInventarioDelta = interface(IInventario)
  ['{96541F59-4DFF-438C-A049-462AB7552CF7}']
    { Property getters and setters }
    function GetOldID_ALMACENValue : Integer;
    function GetOldID_ARTICULOValue : Integer;
    function GetOldALMACENValue : String;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldFAMILIAValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldUNIDAD_MEDIDAValue : String;
    function GetOldREFERENCIA_PROVEEDORValue : String;
    function GetOldPRECIO_NETOValue : Currency;
    function GetOldSTOCKValue : Float;
    function GetOldCOSTE_UNIDADESValue : Currency;
    function GetOldRESERVAValue : Float;
    function GetOldPENDIENTE_RECEPCIONValue : Float;
    function GetOldTIPO_ALMACENValue : String;
    function GetOldUNIDADES_ALMACENValue : Float;
    function GetOldIDValue : Integer;
    function GetOldCANTIDADValue : Float;
    function GetOldFECHA_MOVIMIENTOValue : DateTime;
    function GetOldCAUSAValue : String;
    function GetOldTIPOValue : String;
    function GetOldID_ALMACEN_RESERVAValue : Integer;

    { Properties }
    property OldID_ALMACEN : Integer read GetOldID_ALMACENValue;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldALMACEN : String read GetOldALMACENValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldUNIDAD_MEDIDA : String read GetOldUNIDAD_MEDIDAValue;
    property OldREFERENCIA_PROVEEDOR : String read GetOldREFERENCIA_PROVEEDORValue;
    property OldPRECIO_NETO : Currency read GetOldPRECIO_NETOValue;
    property OldSTOCK : Float read GetOldSTOCKValue;
    property OldCOSTE_UNIDADES : Currency read GetOldCOSTE_UNIDADESValue;
    property OldRESERVA : Float read GetOldRESERVAValue;
    property OldPENDIENTE_RECEPCION : Float read GetOldPENDIENTE_RECEPCIONValue;
    property OldTIPO_ALMACEN : String read GetOldTIPO_ALMACENValue;
    property OldUNIDADES_ALMACEN : Float read GetOldUNIDADES_ALMACENValue;
    property OldID : Integer read GetOldIDValue;
    property OldCANTIDAD : Float read GetOldCANTIDADValue;
    property OldFECHA_MOVIMIENTO : DateTime read GetOldFECHA_MOVIMIENTOValue;
    property OldCAUSA : String read GetOldCAUSAValue;
    property OldTIPO : String read GetOldTIPOValue;
    property OldID_ALMACEN_RESERVA : Integer read GetOldID_ALMACEN_RESERVAValue;
  end;

  { TInventarioBusinessProcessorRules }
  TInventarioBusinessProcessorRules = class(TDABusinessProcessorRules, IInventario, IInventarioDelta)
  private
  protected
    { Property getters and setters }
    function GetID_ALMACENValue: Integer; virtual;
    function GetID_ALMACENIsNull: Boolean; virtual;
    function GetOldID_ALMACENValue: Integer; virtual;
    function GetOldID_ALMACENIsNull: Boolean; virtual;
    procedure SetID_ALMACENValue(const aValue: Integer); virtual;
    procedure SetID_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    function GetID_ARTICULOIsNull: Boolean; virtual;
    function GetOldID_ARTICULOValue: Integer; virtual;
    function GetOldID_ARTICULOIsNull: Boolean; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    procedure SetID_ARTICULOIsNull(const aValue: Boolean); virtual;
    function GetALMACENValue: String; virtual;
    function GetALMACENIsNull: Boolean; virtual;
    function GetOldALMACENValue: String; virtual;
    function GetOldALMACENIsNull: Boolean; virtual;
    procedure SetALMACENValue(const aValue: String); virtual;
    procedure SetALMACENIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetFAMILIAValue: String; virtual;
    function GetFAMILIAIsNull: Boolean; virtual;
    function GetOldFAMILIAValue: String; virtual;
    function GetOldFAMILIAIsNull: Boolean; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    procedure SetFAMILIAIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetUNIDAD_MEDIDAValue: String; virtual;
    function GetUNIDAD_MEDIDAIsNull: Boolean; virtual;
    function GetOldUNIDAD_MEDIDAValue: String; virtual;
    function GetOldUNIDAD_MEDIDAIsNull: Boolean; virtual;
    procedure SetUNIDAD_MEDIDAValue(const aValue: String); virtual;
    procedure SetUNIDAD_MEDIDAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIA_PROVEEDORValue: String; virtual;
    function GetREFERENCIA_PROVEEDORIsNull: Boolean; virtual;
    function GetOldREFERENCIA_PROVEEDORValue: String; virtual;
    function GetOldREFERENCIA_PROVEEDORIsNull: Boolean; virtual;
    procedure SetREFERENCIA_PROVEEDORValue(const aValue: String); virtual;
    procedure SetREFERENCIA_PROVEEDORIsNull(const aValue: Boolean); virtual;
    function GetPRECIO_NETOValue: Currency; virtual;
    function GetPRECIO_NETOIsNull: Boolean; virtual;
    function GetOldPRECIO_NETOValue: Currency; virtual;
    function GetOldPRECIO_NETOIsNull: Boolean; virtual;
    procedure SetPRECIO_NETOValue(const aValue: Currency); virtual;
    procedure SetPRECIO_NETOIsNull(const aValue: Boolean); virtual;
    function GetSTOCKValue: Float; virtual;
    function GetSTOCKIsNull: Boolean; virtual;
    function GetOldSTOCKValue: Float; virtual;
    function GetOldSTOCKIsNull: Boolean; virtual;
    procedure SetSTOCKValue(const aValue: Float); virtual;
    procedure SetSTOCKIsNull(const aValue: Boolean); virtual;
    function GetCOSTE_UNIDADESValue: Currency; virtual;
    function GetCOSTE_UNIDADESIsNull: Boolean; virtual;
    function GetOldCOSTE_UNIDADESValue: Currency; virtual;
    function GetOldCOSTE_UNIDADESIsNull: Boolean; virtual;
    procedure SetCOSTE_UNIDADESValue(const aValue: Currency); virtual;
    procedure SetCOSTE_UNIDADESIsNull(const aValue: Boolean); virtual;
    function GetRESERVAValue: Float; virtual;
    function GetRESERVAIsNull: Boolean; virtual;
    function GetOldRESERVAValue: Float; virtual;
    function GetOldRESERVAIsNull: Boolean; virtual;
    procedure SetRESERVAValue(const aValue: Float); virtual;
    procedure SetRESERVAIsNull(const aValue: Boolean); virtual;
    function GetPENDIENTE_RECEPCIONValue: Float; virtual;
    function GetPENDIENTE_RECEPCIONIsNull: Boolean; virtual;
    function GetOldPENDIENTE_RECEPCIONValue: Float; virtual;
    function GetOldPENDIENTE_RECEPCIONIsNull: Boolean; virtual;
    procedure SetPENDIENTE_RECEPCIONValue(const aValue: Float); virtual;
    procedure SetPENDIENTE_RECEPCIONIsNull(const aValue: Boolean); virtual;
    function GetTIPO_ALMACENValue: String; virtual;
    function GetTIPO_ALMACENIsNull: Boolean; virtual;
    function GetOldTIPO_ALMACENValue: String; virtual;
    function GetOldTIPO_ALMACENIsNull: Boolean; virtual;
    procedure SetTIPO_ALMACENValue(const aValue: String); virtual;
    procedure SetTIPO_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetUNIDADES_ALMACENValue: Float; virtual;
    function GetUNIDADES_ALMACENIsNull: Boolean; virtual;
    function GetOldUNIDADES_ALMACENValue: Float; virtual;
    function GetOldUNIDADES_ALMACENIsNull: Boolean; virtual;
    procedure SetUNIDADES_ALMACENValue(const aValue: Float); virtual;
    procedure SetUNIDADES_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetCANTIDADValue: Float; virtual;
    function GetCANTIDADIsNull: Boolean; virtual;
    function GetOldCANTIDADValue: Float; virtual;
    function GetOldCANTIDADIsNull: Boolean; virtual;
    procedure SetCANTIDADValue(const aValue: Float); virtual;
    procedure SetCANTIDADIsNull(const aValue: Boolean); virtual;
    function GetFECHA_MOVIMIENTOValue: DateTime; virtual;
    function GetFECHA_MOVIMIENTOIsNull: Boolean; virtual;
    function GetOldFECHA_MOVIMIENTOValue: DateTime; virtual;
    function GetOldFECHA_MOVIMIENTOIsNull: Boolean; virtual;
    procedure SetFECHA_MOVIMIENTOValue(const aValue: DateTime); virtual;
    procedure SetFECHA_MOVIMIENTOIsNull(const aValue: Boolean); virtual;
    function GetCAUSAValue: String; virtual;
    function GetCAUSAIsNull: Boolean; virtual;
    function GetOldCAUSAValue: String; virtual;
    function GetOldCAUSAIsNull: Boolean; virtual;
    procedure SetCAUSAValue(const aValue: String); virtual;
    procedure SetCAUSAIsNull(const aValue: Boolean); virtual;
    function GetTIPOValue: String; virtual;
    function GetTIPOIsNull: Boolean; virtual;
    function GetOldTIPOValue: String; virtual;
    function GetOldTIPOIsNull: Boolean; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    procedure SetTIPOIsNull(const aValue: Boolean); virtual;
    function GetID_ALMACEN_RESERVAValue: Integer; virtual;
    function GetID_ALMACEN_RESERVAIsNull: Boolean; virtual;
    function GetOldID_ALMACEN_RESERVAValue: Integer; virtual;
    function GetOldID_ALMACEN_RESERVAIsNull: Boolean; virtual;
    procedure SetID_ALMACEN_RESERVAValue(const aValue: Integer); virtual;
    procedure SetID_ALMACEN_RESERVAIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID_ALMACEN : Integer read GetID_ALMACENValue write SetID_ALMACENValue;
    property ID_ALMACENIsNull : Boolean read GetID_ALMACENIsNull write SetID_ALMACENIsNull;
    property OldID_ALMACEN : Integer read GetOldID_ALMACENValue;
    property OldID_ALMACENIsNull : Boolean read GetOldID_ALMACENIsNull;
    property ID_ARTICULO : Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property ID_ARTICULOIsNull : Boolean read GetID_ARTICULOIsNull write SetID_ARTICULOIsNull;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldID_ARTICULOIsNull : Boolean read GetOldID_ARTICULOIsNull;
    property ALMACEN : String read GetALMACENValue write SetALMACENValue;
    property ALMACENIsNull : Boolean read GetALMACENIsNull write SetALMACENIsNull;
    property OldALMACEN : String read GetOldALMACENValue;
    property OldALMACENIsNull : Boolean read GetOldALMACENIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property FAMILIA : String read GetFAMILIAValue write SetFAMILIAValue;
    property FAMILIAIsNull : Boolean read GetFAMILIAIsNull write SetFAMILIAIsNull;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldFAMILIAIsNull : Boolean read GetOldFAMILIAIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property UNIDAD_MEDIDA : String read GetUNIDAD_MEDIDAValue write SetUNIDAD_MEDIDAValue;
    property UNIDAD_MEDIDAIsNull : Boolean read GetUNIDAD_MEDIDAIsNull write SetUNIDAD_MEDIDAIsNull;
    property OldUNIDAD_MEDIDA : String read GetOldUNIDAD_MEDIDAValue;
    property OldUNIDAD_MEDIDAIsNull : Boolean read GetOldUNIDAD_MEDIDAIsNull;
    property REFERENCIA_PROVEEDOR : String read GetREFERENCIA_PROVEEDORValue write SetREFERENCIA_PROVEEDORValue;
    property REFERENCIA_PROVEEDORIsNull : Boolean read GetREFERENCIA_PROVEEDORIsNull write SetREFERENCIA_PROVEEDORIsNull;
    property OldREFERENCIA_PROVEEDOR : String read GetOldREFERENCIA_PROVEEDORValue;
    property OldREFERENCIA_PROVEEDORIsNull : Boolean read GetOldREFERENCIA_PROVEEDORIsNull;
    property PRECIO_NETO : Currency read GetPRECIO_NETOValue write SetPRECIO_NETOValue;
    property PRECIO_NETOIsNull : Boolean read GetPRECIO_NETOIsNull write SetPRECIO_NETOIsNull;
    property OldPRECIO_NETO : Currency read GetOldPRECIO_NETOValue;
    property OldPRECIO_NETOIsNull : Boolean read GetOldPRECIO_NETOIsNull;
    property STOCK : Float read GetSTOCKValue write SetSTOCKValue;
    property STOCKIsNull : Boolean read GetSTOCKIsNull write SetSTOCKIsNull;
    property OldSTOCK : Float read GetOldSTOCKValue;
    property OldSTOCKIsNull : Boolean read GetOldSTOCKIsNull;
    property COSTE_UNIDADES : Currency read GetCOSTE_UNIDADESValue write SetCOSTE_UNIDADESValue;
    property COSTE_UNIDADESIsNull : Boolean read GetCOSTE_UNIDADESIsNull write SetCOSTE_UNIDADESIsNull;
    property OldCOSTE_UNIDADES : Currency read GetOldCOSTE_UNIDADESValue;
    property OldCOSTE_UNIDADESIsNull : Boolean read GetOldCOSTE_UNIDADESIsNull;
    property RESERVA : Float read GetRESERVAValue write SetRESERVAValue;
    property RESERVAIsNull : Boolean read GetRESERVAIsNull write SetRESERVAIsNull;
    property OldRESERVA : Float read GetOldRESERVAValue;
    property OldRESERVAIsNull : Boolean read GetOldRESERVAIsNull;
    property PENDIENTE_RECEPCION : Float read GetPENDIENTE_RECEPCIONValue write SetPENDIENTE_RECEPCIONValue;
    property PENDIENTE_RECEPCIONIsNull : Boolean read GetPENDIENTE_RECEPCIONIsNull write SetPENDIENTE_RECEPCIONIsNull;
    property OldPENDIENTE_RECEPCION : Float read GetOldPENDIENTE_RECEPCIONValue;
    property OldPENDIENTE_RECEPCIONIsNull : Boolean read GetOldPENDIENTE_RECEPCIONIsNull;
    property TIPO_ALMACEN : String read GetTIPO_ALMACENValue write SetTIPO_ALMACENValue;
    property TIPO_ALMACENIsNull : Boolean read GetTIPO_ALMACENIsNull write SetTIPO_ALMACENIsNull;
    property OldTIPO_ALMACEN : String read GetOldTIPO_ALMACENValue;
    property OldTIPO_ALMACENIsNull : Boolean read GetOldTIPO_ALMACENIsNull;
    property UNIDADES_ALMACEN : Float read GetUNIDADES_ALMACENValue write SetUNIDADES_ALMACENValue;
    property UNIDADES_ALMACENIsNull : Boolean read GetUNIDADES_ALMACENIsNull write SetUNIDADES_ALMACENIsNull;
    property OldUNIDADES_ALMACEN : Float read GetOldUNIDADES_ALMACENValue;
    property OldUNIDADES_ALMACENIsNull : Boolean read GetOldUNIDADES_ALMACENIsNull;
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property CANTIDAD : Float read GetCANTIDADValue write SetCANTIDADValue;
    property CANTIDADIsNull : Boolean read GetCANTIDADIsNull write SetCANTIDADIsNull;
    property OldCANTIDAD : Float read GetOldCANTIDADValue;
    property OldCANTIDADIsNull : Boolean read GetOldCANTIDADIsNull;
    property FECHA_MOVIMIENTO : DateTime read GetFECHA_MOVIMIENTOValue write SetFECHA_MOVIMIENTOValue;
    property FECHA_MOVIMIENTOIsNull : Boolean read GetFECHA_MOVIMIENTOIsNull write SetFECHA_MOVIMIENTOIsNull;
    property OldFECHA_MOVIMIENTO : DateTime read GetOldFECHA_MOVIMIENTOValue;
    property OldFECHA_MOVIMIENTOIsNull : Boolean read GetOldFECHA_MOVIMIENTOIsNull;
    property CAUSA : String read GetCAUSAValue write SetCAUSAValue;
    property CAUSAIsNull : Boolean read GetCAUSAIsNull write SetCAUSAIsNull;
    property OldCAUSA : String read GetOldCAUSAValue;
    property OldCAUSAIsNull : Boolean read GetOldCAUSAIsNull;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property TIPOIsNull : Boolean read GetTIPOIsNull write SetTIPOIsNull;
    property OldTIPO : String read GetOldTIPOValue;
    property OldTIPOIsNull : Boolean read GetOldTIPOIsNull;
    property ID_ALMACEN_RESERVA : Integer read GetID_ALMACEN_RESERVAValue write SetID_ALMACEN_RESERVAValue;
    property ID_ALMACEN_RESERVAIsNull : Boolean read GetID_ALMACEN_RESERVAIsNull write SetID_ALMACEN_RESERVAIsNull;
    property OldID_ALMACEN_RESERVA : Integer read GetOldID_ALMACEN_RESERVAValue;
    property OldID_ALMACEN_RESERVAIsNull : Boolean read GetOldID_ALMACEN_RESERVAIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IDetalleReservasDelta }
  IDetalleReservasDelta = interface(IDetalleReservas)
  ['{1693AAD2-69C6-48CE-AB23-D215F4164451}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_ALMACENValue : Integer;
    function GetOldNOMBRE_ALMACENValue : String;
    function GetOldFECHA_RESERVAValue : DateTime;
    function GetOldCAUSA_RESERVAValue : String;
    function GetOldID_ARTICULOValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldFAMILIAValue : String;
    function GetOldUNIDAD_MEDIDAValue : String;
    function GetOldFABRICANTEValue : String;
    function GetOldREFERENCIA_FABRValue : String;
    function GetOldCANTIDADValue : Currency;
    function GetOldID_ALMACEN_RESERVAValue : Integer;
    function GetOldNOMBRE_ALMACEN_RESERVAValue : String;
    function GetOldID_EMPRESA_ALMACEN_RESERVAValue : Integer;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_ALMACEN : Integer read GetOldID_ALMACENValue;
    property OldNOMBRE_ALMACEN : String read GetOldNOMBRE_ALMACENValue;
    property OldFECHA_RESERVA : DateTime read GetOldFECHA_RESERVAValue;
    property OldCAUSA_RESERVA : String read GetOldCAUSA_RESERVAValue;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldUNIDAD_MEDIDA : String read GetOldUNIDAD_MEDIDAValue;
    property OldFABRICANTE : String read GetOldFABRICANTEValue;
    property OldREFERENCIA_FABR : String read GetOldREFERENCIA_FABRValue;
    property OldCANTIDAD : Currency read GetOldCANTIDADValue;
    property OldID_ALMACEN_RESERVA : Integer read GetOldID_ALMACEN_RESERVAValue;
    property OldNOMBRE_ALMACEN_RESERVA : String read GetOldNOMBRE_ALMACEN_RESERVAValue;
    property OldID_EMPRESA_ALMACEN_RESERVA : Integer read GetOldID_EMPRESA_ALMACEN_RESERVAValue;
  end;

  { TDetalleReservasBusinessProcessorRules }
  TDetalleReservasBusinessProcessorRules = class(TDABusinessProcessorRules, IDetalleReservas, IDetalleReservasDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetID_ALMACENValue: Integer; virtual;
    function GetID_ALMACENIsNull: Boolean; virtual;
    function GetOldID_ALMACENValue: Integer; virtual;
    function GetOldID_ALMACENIsNull: Boolean; virtual;
    procedure SetID_ALMACENValue(const aValue: Integer); virtual;
    procedure SetID_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetNOMBRE_ALMACENValue: String; virtual;
    function GetNOMBRE_ALMACENIsNull: Boolean; virtual;
    function GetOldNOMBRE_ALMACENValue: String; virtual;
    function GetOldNOMBRE_ALMACENIsNull: Boolean; virtual;
    procedure SetNOMBRE_ALMACENValue(const aValue: String); virtual;
    procedure SetNOMBRE_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetFECHA_RESERVAValue: DateTime; virtual;
    function GetFECHA_RESERVAIsNull: Boolean; virtual;
    function GetOldFECHA_RESERVAValue: DateTime; virtual;
    function GetOldFECHA_RESERVAIsNull: Boolean; virtual;
    procedure SetFECHA_RESERVAValue(const aValue: DateTime); virtual;
    procedure SetFECHA_RESERVAIsNull(const aValue: Boolean); virtual;
    function GetCAUSA_RESERVAValue: String; virtual;
    function GetCAUSA_RESERVAIsNull: Boolean; virtual;
    function GetOldCAUSA_RESERVAValue: String; virtual;
    function GetOldCAUSA_RESERVAIsNull: Boolean; virtual;
    procedure SetCAUSA_RESERVAValue(const aValue: String); virtual;
    procedure SetCAUSA_RESERVAIsNull(const aValue: Boolean); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    function GetID_ARTICULOIsNull: Boolean; virtual;
    function GetOldID_ARTICULOValue: Integer; virtual;
    function GetOldID_ARTICULOIsNull: Boolean; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    procedure SetID_ARTICULOIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetFAMILIAValue: String; virtual;
    function GetFAMILIAIsNull: Boolean; virtual;
    function GetOldFAMILIAValue: String; virtual;
    function GetOldFAMILIAIsNull: Boolean; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    procedure SetFAMILIAIsNull(const aValue: Boolean); virtual;
    function GetUNIDAD_MEDIDAValue: String; virtual;
    function GetUNIDAD_MEDIDAIsNull: Boolean; virtual;
    function GetOldUNIDAD_MEDIDAValue: String; virtual;
    function GetOldUNIDAD_MEDIDAIsNull: Boolean; virtual;
    procedure SetUNIDAD_MEDIDAValue(const aValue: String); virtual;
    procedure SetUNIDAD_MEDIDAIsNull(const aValue: Boolean); virtual;
    function GetFABRICANTEValue: String; virtual;
    function GetFABRICANTEIsNull: Boolean; virtual;
    function GetOldFABRICANTEValue: String; virtual;
    function GetOldFABRICANTEIsNull: Boolean; virtual;
    procedure SetFABRICANTEValue(const aValue: String); virtual;
    procedure SetFABRICANTEIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIA_FABRValue: String; virtual;
    function GetREFERENCIA_FABRIsNull: Boolean; virtual;
    function GetOldREFERENCIA_FABRValue: String; virtual;
    function GetOldREFERENCIA_FABRIsNull: Boolean; virtual;
    procedure SetREFERENCIA_FABRValue(const aValue: String); virtual;
    procedure SetREFERENCIA_FABRIsNull(const aValue: Boolean); virtual;
    function GetCANTIDADValue: Currency; virtual;
    function GetCANTIDADIsNull: Boolean; virtual;
    function GetOldCANTIDADValue: Currency; virtual;
    function GetOldCANTIDADIsNull: Boolean; virtual;
    procedure SetCANTIDADValue(const aValue: Currency); virtual;
    procedure SetCANTIDADIsNull(const aValue: Boolean); virtual;
    function GetID_ALMACEN_RESERVAValue: Integer; virtual;
    function GetID_ALMACEN_RESERVAIsNull: Boolean; virtual;
    function GetOldID_ALMACEN_RESERVAValue: Integer; virtual;
    function GetOldID_ALMACEN_RESERVAIsNull: Boolean; virtual;
    procedure SetID_ALMACEN_RESERVAValue(const aValue: Integer); virtual;
    procedure SetID_ALMACEN_RESERVAIsNull(const aValue: Boolean); virtual;
    function GetNOMBRE_ALMACEN_RESERVAValue: String; virtual;
    function GetNOMBRE_ALMACEN_RESERVAIsNull: Boolean; virtual;
    function GetOldNOMBRE_ALMACEN_RESERVAValue: String; virtual;
    function GetOldNOMBRE_ALMACEN_RESERVAIsNull: Boolean; virtual;
    procedure SetNOMBRE_ALMACEN_RESERVAValue(const aValue: String); virtual;
    procedure SetNOMBRE_ALMACEN_RESERVAIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESA_ALMACEN_RESERVAValue: Integer; virtual;
    function GetID_EMPRESA_ALMACEN_RESERVAIsNull: Boolean; virtual;
    function GetOldID_EMPRESA_ALMACEN_RESERVAValue: Integer; virtual;
    function GetOldID_EMPRESA_ALMACEN_RESERVAIsNull: Boolean; virtual;
    procedure SetID_EMPRESA_ALMACEN_RESERVAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESA_ALMACEN_RESERVAIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property ID_ALMACEN : Integer read GetID_ALMACENValue write SetID_ALMACENValue;
    property ID_ALMACENIsNull : Boolean read GetID_ALMACENIsNull write SetID_ALMACENIsNull;
    property OldID_ALMACEN : Integer read GetOldID_ALMACENValue;
    property OldID_ALMACENIsNull : Boolean read GetOldID_ALMACENIsNull;
    property NOMBRE_ALMACEN : String read GetNOMBRE_ALMACENValue write SetNOMBRE_ALMACENValue;
    property NOMBRE_ALMACENIsNull : Boolean read GetNOMBRE_ALMACENIsNull write SetNOMBRE_ALMACENIsNull;
    property OldNOMBRE_ALMACEN : String read GetOldNOMBRE_ALMACENValue;
    property OldNOMBRE_ALMACENIsNull : Boolean read GetOldNOMBRE_ALMACENIsNull;
    property FECHA_RESERVA : DateTime read GetFECHA_RESERVAValue write SetFECHA_RESERVAValue;
    property FECHA_RESERVAIsNull : Boolean read GetFECHA_RESERVAIsNull write SetFECHA_RESERVAIsNull;
    property OldFECHA_RESERVA : DateTime read GetOldFECHA_RESERVAValue;
    property OldFECHA_RESERVAIsNull : Boolean read GetOldFECHA_RESERVAIsNull;
    property CAUSA_RESERVA : String read GetCAUSA_RESERVAValue write SetCAUSA_RESERVAValue;
    property CAUSA_RESERVAIsNull : Boolean read GetCAUSA_RESERVAIsNull write SetCAUSA_RESERVAIsNull;
    property OldCAUSA_RESERVA : String read GetOldCAUSA_RESERVAValue;
    property OldCAUSA_RESERVAIsNull : Boolean read GetOldCAUSA_RESERVAIsNull;
    property ID_ARTICULO : Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property ID_ARTICULOIsNull : Boolean read GetID_ARTICULOIsNull write SetID_ARTICULOIsNull;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldID_ARTICULOIsNull : Boolean read GetOldID_ARTICULOIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property FAMILIA : String read GetFAMILIAValue write SetFAMILIAValue;
    property FAMILIAIsNull : Boolean read GetFAMILIAIsNull write SetFAMILIAIsNull;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldFAMILIAIsNull : Boolean read GetOldFAMILIAIsNull;
    property UNIDAD_MEDIDA : String read GetUNIDAD_MEDIDAValue write SetUNIDAD_MEDIDAValue;
    property UNIDAD_MEDIDAIsNull : Boolean read GetUNIDAD_MEDIDAIsNull write SetUNIDAD_MEDIDAIsNull;
    property OldUNIDAD_MEDIDA : String read GetOldUNIDAD_MEDIDAValue;
    property OldUNIDAD_MEDIDAIsNull : Boolean read GetOldUNIDAD_MEDIDAIsNull;
    property FABRICANTE : String read GetFABRICANTEValue write SetFABRICANTEValue;
    property FABRICANTEIsNull : Boolean read GetFABRICANTEIsNull write SetFABRICANTEIsNull;
    property OldFABRICANTE : String read GetOldFABRICANTEValue;
    property OldFABRICANTEIsNull : Boolean read GetOldFABRICANTEIsNull;
    property REFERENCIA_FABR : String read GetREFERENCIA_FABRValue write SetREFERENCIA_FABRValue;
    property REFERENCIA_FABRIsNull : Boolean read GetREFERENCIA_FABRIsNull write SetREFERENCIA_FABRIsNull;
    property OldREFERENCIA_FABR : String read GetOldREFERENCIA_FABRValue;
    property OldREFERENCIA_FABRIsNull : Boolean read GetOldREFERENCIA_FABRIsNull;
    property CANTIDAD : Currency read GetCANTIDADValue write SetCANTIDADValue;
    property CANTIDADIsNull : Boolean read GetCANTIDADIsNull write SetCANTIDADIsNull;
    property OldCANTIDAD : Currency read GetOldCANTIDADValue;
    property OldCANTIDADIsNull : Boolean read GetOldCANTIDADIsNull;
    property ID_ALMACEN_RESERVA : Integer read GetID_ALMACEN_RESERVAValue write SetID_ALMACEN_RESERVAValue;
    property ID_ALMACEN_RESERVAIsNull : Boolean read GetID_ALMACEN_RESERVAIsNull write SetID_ALMACEN_RESERVAIsNull;
    property OldID_ALMACEN_RESERVA : Integer read GetOldID_ALMACEN_RESERVAValue;
    property OldID_ALMACEN_RESERVAIsNull : Boolean read GetOldID_ALMACEN_RESERVAIsNull;
    property NOMBRE_ALMACEN_RESERVA : String read GetNOMBRE_ALMACEN_RESERVAValue write SetNOMBRE_ALMACEN_RESERVAValue;
    property NOMBRE_ALMACEN_RESERVAIsNull : Boolean read GetNOMBRE_ALMACEN_RESERVAIsNull write SetNOMBRE_ALMACEN_RESERVAIsNull;
    property OldNOMBRE_ALMACEN_RESERVA : String read GetOldNOMBRE_ALMACEN_RESERVAValue;
    property OldNOMBRE_ALMACEN_RESERVAIsNull : Boolean read GetOldNOMBRE_ALMACEN_RESERVAIsNull;
    property ID_EMPRESA_ALMACEN_RESERVA : Integer read GetID_EMPRESA_ALMACEN_RESERVAValue write SetID_EMPRESA_ALMACEN_RESERVAValue;
    property ID_EMPRESA_ALMACEN_RESERVAIsNull : Boolean read GetID_EMPRESA_ALMACEN_RESERVAIsNull write SetID_EMPRESA_ALMACEN_RESERVAIsNull;
    property OldID_EMPRESA_ALMACEN_RESERVA : Integer read GetOldID_EMPRESA_ALMACEN_RESERVAValue;
    property OldID_EMPRESA_ALMACEN_RESERVAIsNull : Boolean read GetOldID_EMPRESA_ALMACEN_RESERVAIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers, uDAInterfaces;

{ TInventarioBusinessProcessorRules }
constructor TInventarioBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TInventarioBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TInventarioBusinessProcessorRules.GetID_ALMACENValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetID_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN]);
end;

function TInventarioBusinessProcessorRules.GetOldID_ALMACENValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetOldID_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ALMACEN]);
end;

procedure TInventarioBusinessProcessorRules.SetID_ALMACENValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetID_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN] := Null;
end;

function TInventarioBusinessProcessorRules.GetID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ARTICULO];
end;

function TInventarioBusinessProcessorRules.GetID_ARTICULOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ARTICULO]);
end;

function TInventarioBusinessProcessorRules.GetOldID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ARTICULO];
end;

function TInventarioBusinessProcessorRules.GetOldID_ARTICULOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ARTICULO]);
end;

procedure TInventarioBusinessProcessorRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ARTICULO] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetID_ARTICULOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ARTICULO] := Null;
end;

function TInventarioBusinessProcessorRules.GetALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioALMACEN];
end;

function TInventarioBusinessProcessorRules.GetALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioALMACEN]);
end;

function TInventarioBusinessProcessorRules.GetOldALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioALMACEN];
end;

function TInventarioBusinessProcessorRules.GetOldALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioALMACEN]);
end;

procedure TInventarioBusinessProcessorRules.SetALMACENValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioALMACEN] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioALMACEN] := Null;
end;

function TInventarioBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_EMPRESA];
end;

function TInventarioBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_EMPRESA]);
end;

function TInventarioBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_EMPRESA];
end;

function TInventarioBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_EMPRESA]);
end;

procedure TInventarioBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_EMPRESA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_EMPRESA] := Null;
end;

function TInventarioBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA];
end;

function TInventarioBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA]);
end;

function TInventarioBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioREFERENCIA];
end;

function TInventarioBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioREFERENCIA]);
end;

procedure TInventarioBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA] := Null;
end;

function TInventarioBusinessProcessorRules.GetFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFAMILIA];
end;

function TInventarioBusinessProcessorRules.GetFAMILIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFAMILIA]);
end;

function TInventarioBusinessProcessorRules.GetOldFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioFAMILIA];
end;

function TInventarioBusinessProcessorRules.GetOldFAMILIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioFAMILIA]);
end;

procedure TInventarioBusinessProcessorRules.SetFAMILIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFAMILIA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetFAMILIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFAMILIA] := Null;
end;

function TInventarioBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioDESCRIPCION];
end;

function TInventarioBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioDESCRIPCION]);
end;

function TInventarioBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioDESCRIPCION];
end;

function TInventarioBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioDESCRIPCION]);
end;

procedure TInventarioBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioDESCRIPCION] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioDESCRIPCION] := Null;
end;

function TInventarioBusinessProcessorRules.GetUNIDAD_MEDIDAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDAD_MEDIDA];
end;

function TInventarioBusinessProcessorRules.GetUNIDAD_MEDIDAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDAD_MEDIDA]);
end;

function TInventarioBusinessProcessorRules.GetOldUNIDAD_MEDIDAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioUNIDAD_MEDIDA];
end;

function TInventarioBusinessProcessorRules.GetOldUNIDAD_MEDIDAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioUNIDAD_MEDIDA]);
end;

procedure TInventarioBusinessProcessorRules.SetUNIDAD_MEDIDAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDAD_MEDIDA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetUNIDAD_MEDIDAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDAD_MEDIDA] := Null;
end;

function TInventarioBusinessProcessorRules.GetREFERENCIA_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA_PROVEEDOR];
end;

function TInventarioBusinessProcessorRules.GetREFERENCIA_PROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA_PROVEEDOR]);
end;

function TInventarioBusinessProcessorRules.GetOldREFERENCIA_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioREFERENCIA_PROVEEDOR];
end;

function TInventarioBusinessProcessorRules.GetOldREFERENCIA_PROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioREFERENCIA_PROVEEDOR]);
end;

procedure TInventarioBusinessProcessorRules.SetREFERENCIA_PROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA_PROVEEDOR] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetREFERENCIA_PROVEEDORIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA_PROVEEDOR] := Null;
end;

function TInventarioBusinessProcessorRules.GetPRECIO_NETOValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPRECIO_NETO];
end;

function TInventarioBusinessProcessorRules.GetPRECIO_NETOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPRECIO_NETO]);
end;

function TInventarioBusinessProcessorRules.GetOldPRECIO_NETOValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioPRECIO_NETO];
end;

function TInventarioBusinessProcessorRules.GetOldPRECIO_NETOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioPRECIO_NETO]);
end;

procedure TInventarioBusinessProcessorRules.SetPRECIO_NETOValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPRECIO_NETO] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetPRECIO_NETOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPRECIO_NETO] := Null;
end;

function TInventarioBusinessProcessorRules.GetSTOCKValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioSTOCK];
end;

function TInventarioBusinessProcessorRules.GetSTOCKIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioSTOCK]);
end;

function TInventarioBusinessProcessorRules.GetOldSTOCKValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioSTOCK];
end;

function TInventarioBusinessProcessorRules.GetOldSTOCKIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioSTOCK]);
end;

procedure TInventarioBusinessProcessorRules.SetSTOCKValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioSTOCK] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetSTOCKIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioSTOCK] := Null;
end;

function TInventarioBusinessProcessorRules.GetCOSTE_UNIDADESValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCOSTE_UNIDADES];
end;

function TInventarioBusinessProcessorRules.GetCOSTE_UNIDADESIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCOSTE_UNIDADES]);
end;

function TInventarioBusinessProcessorRules.GetOldCOSTE_UNIDADESValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCOSTE_UNIDADES];
end;

function TInventarioBusinessProcessorRules.GetOldCOSTE_UNIDADESIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCOSTE_UNIDADES]);
end;

procedure TInventarioBusinessProcessorRules.SetCOSTE_UNIDADESValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCOSTE_UNIDADES] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetCOSTE_UNIDADESIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCOSTE_UNIDADES] := Null;
end;

function TInventarioBusinessProcessorRules.GetRESERVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioRESERVA];
end;

function TInventarioBusinessProcessorRules.GetRESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioRESERVA]);
end;

function TInventarioBusinessProcessorRules.GetOldRESERVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioRESERVA];
end;

function TInventarioBusinessProcessorRules.GetOldRESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioRESERVA]);
end;

procedure TInventarioBusinessProcessorRules.SetRESERVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioRESERVA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetRESERVAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioRESERVA] := Null;
end;

function TInventarioBusinessProcessorRules.GetPENDIENTE_RECEPCIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPENDIENTE_RECEPCION];
end;

function TInventarioBusinessProcessorRules.GetPENDIENTE_RECEPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPENDIENTE_RECEPCION]);
end;

function TInventarioBusinessProcessorRules.GetOldPENDIENTE_RECEPCIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioPENDIENTE_RECEPCION];
end;

function TInventarioBusinessProcessorRules.GetOldPENDIENTE_RECEPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioPENDIENTE_RECEPCION]);
end;

procedure TInventarioBusinessProcessorRules.SetPENDIENTE_RECEPCIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPENDIENTE_RECEPCION] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetPENDIENTE_RECEPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPENDIENTE_RECEPCION] := Null;
end;

function TInventarioBusinessProcessorRules.GetTIPO_ALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetTIPO_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO_ALMACEN]);
end;

function TInventarioBusinessProcessorRules.GetOldTIPO_ALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioTIPO_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetOldTIPO_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioTIPO_ALMACEN]);
end;

procedure TInventarioBusinessProcessorRules.SetTIPO_ALMACENValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO_ALMACEN] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetTIPO_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO_ALMACEN] := Null;
end;

function TInventarioBusinessProcessorRules.GetUNIDADES_ALMACENValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDADES_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetUNIDADES_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDADES_ALMACEN]);
end;

function TInventarioBusinessProcessorRules.GetOldUNIDADES_ALMACENValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioUNIDADES_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetOldUNIDADES_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioUNIDADES_ALMACEN]);
end;

procedure TInventarioBusinessProcessorRules.SetUNIDADES_ALMACENValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDADES_ALMACEN] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetUNIDADES_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDADES_ALMACEN] := Null;
end;

function TInventarioBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID];
end;

function TInventarioBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID]);
end;

function TInventarioBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID];
end;

function TInventarioBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID]);
end;

procedure TInventarioBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID] := Null;
end;

function TInventarioBusinessProcessorRules.GetCANTIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCANTIDAD];
end;

function TInventarioBusinessProcessorRules.GetCANTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCANTIDAD]);
end;

function TInventarioBusinessProcessorRules.GetOldCANTIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCANTIDAD];
end;

function TInventarioBusinessProcessorRules.GetOldCANTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCANTIDAD]);
end;

procedure TInventarioBusinessProcessorRules.SetCANTIDADValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCANTIDAD] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetCANTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCANTIDAD] := Null;
end;

function TInventarioBusinessProcessorRules.GetFECHA_MOVIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFECHA_MOVIMIENTO];
end;

function TInventarioBusinessProcessorRules.GetFECHA_MOVIMIENTOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFECHA_MOVIMIENTO]);
end;

function TInventarioBusinessProcessorRules.GetOldFECHA_MOVIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioFECHA_MOVIMIENTO];
end;

function TInventarioBusinessProcessorRules.GetOldFECHA_MOVIMIENTOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioFECHA_MOVIMIENTO]);
end;

procedure TInventarioBusinessProcessorRules.SetFECHA_MOVIMIENTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFECHA_MOVIMIENTO] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetFECHA_MOVIMIENTOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFECHA_MOVIMIENTO] := Null;
end;

function TInventarioBusinessProcessorRules.GetCAUSAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCAUSA];
end;

function TInventarioBusinessProcessorRules.GetCAUSAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCAUSA]);
end;

function TInventarioBusinessProcessorRules.GetOldCAUSAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCAUSA];
end;

function TInventarioBusinessProcessorRules.GetOldCAUSAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCAUSA]);
end;

procedure TInventarioBusinessProcessorRules.SetCAUSAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCAUSA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetCAUSAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCAUSA] := Null;
end;

function TInventarioBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO];
end;

function TInventarioBusinessProcessorRules.GetTIPOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO]);
end;

function TInventarioBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioTIPO];
end;

function TInventarioBusinessProcessorRules.GetOldTIPOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioTIPO]);
end;

procedure TInventarioBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetTIPOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO] := Null;
end;

function TInventarioBusinessProcessorRules.GetID_ALMACEN_RESERVAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN_RESERVA];
end;

function TInventarioBusinessProcessorRules.GetID_ALMACEN_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN_RESERVA]);
end;

function TInventarioBusinessProcessorRules.GetOldID_ALMACEN_RESERVAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ALMACEN_RESERVA];
end;

function TInventarioBusinessProcessorRules.GetOldID_ALMACEN_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ALMACEN_RESERVA]);
end;

procedure TInventarioBusinessProcessorRules.SetID_ALMACEN_RESERVAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN_RESERVA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetID_ALMACEN_RESERVAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN_RESERVA] := Null;
end;


{ TDetalleReservasBusinessProcessorRules }
constructor TDetalleReservasBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TDetalleReservasBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TDetalleReservasBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID];
end;

function TDetalleReservasBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID];
end;

function TDetalleReservasBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA];
end;

function TDetalleReservasBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_EMPRESA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_EMPRESA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_ALMACENValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN];
end;

function TDetalleReservasBusinessProcessorRules.GetID_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ALMACENValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ALMACEN];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ALMACEN]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ALMACENValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetNOMBRE_ALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasNOMBRE_ALMACEN];
end;

function TDetalleReservasBusinessProcessorRules.GetNOMBRE_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasNOMBRE_ALMACEN]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldNOMBRE_ALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasNOMBRE_ALMACEN];
end;

function TDetalleReservasBusinessProcessorRules.GetOldNOMBRE_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasNOMBRE_ALMACEN]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetNOMBRE_ALMACENValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasNOMBRE_ALMACEN] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetNOMBRE_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasNOMBRE_ALMACEN] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetFECHA_RESERVAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFECHA_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetFECHA_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFECHA_RESERVA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldFECHA_RESERVAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFECHA_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldFECHA_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFECHA_RESERVA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetFECHA_RESERVAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFECHA_RESERVA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetFECHA_RESERVAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFECHA_RESERVA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetCAUSA_RESERVAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCAUSA_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetCAUSA_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCAUSA_RESERVA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldCAUSA_RESERVAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasCAUSA_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldCAUSA_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasCAUSA_RESERVA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetCAUSA_RESERVAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCAUSA_RESERVA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetCAUSA_RESERVAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCAUSA_RESERVA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ARTICULO];
end;

function TDetalleReservasBusinessProcessorRules.GetID_ARTICULOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ARTICULO]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ARTICULO];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ARTICULOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ARTICULO]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ARTICULO] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ARTICULOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ARTICULO] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA];
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasDESCRIPCION];
end;

function TDetalleReservasBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasDESCRIPCION]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasDESCRIPCION];
end;

function TDetalleReservasBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasDESCRIPCION]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasDESCRIPCION] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasDESCRIPCION] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFAMILIA];
end;

function TDetalleReservasBusinessProcessorRules.GetFAMILIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFAMILIA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFAMILIA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldFAMILIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFAMILIA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetFAMILIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFAMILIA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetFAMILIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFAMILIA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetUNIDAD_MEDIDAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasUNIDAD_MEDIDA];
end;

function TDetalleReservasBusinessProcessorRules.GetUNIDAD_MEDIDAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasUNIDAD_MEDIDA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldUNIDAD_MEDIDAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasUNIDAD_MEDIDA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldUNIDAD_MEDIDAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasUNIDAD_MEDIDA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetUNIDAD_MEDIDAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasUNIDAD_MEDIDA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetUNIDAD_MEDIDAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasUNIDAD_MEDIDA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetFABRICANTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFABRICANTE];
end;

function TDetalleReservasBusinessProcessorRules.GetFABRICANTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFABRICANTE]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldFABRICANTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFABRICANTE];
end;

function TDetalleReservasBusinessProcessorRules.GetOldFABRICANTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFABRICANTE]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetFABRICANTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFABRICANTE] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetFABRICANTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFABRICANTE] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIA_FABRValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_FABR];
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIA_FABRIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_FABR]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIA_FABRValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA_FABR];
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIA_FABRIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA_FABR]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIA_FABRValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_FABR] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIA_FABRIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_FABR] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetCANTIDADValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCANTIDAD];
end;

function TDetalleReservasBusinessProcessorRules.GetCANTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCANTIDAD]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldCANTIDADValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasCANTIDAD];
end;

function TDetalleReservasBusinessProcessorRules.GetOldCANTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasCANTIDAD]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetCANTIDADValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCANTIDAD] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetCANTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCANTIDAD] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_ALMACEN_RESERVAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetID_ALMACEN_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN_RESERVA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ALMACEN_RESERVAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ALMACEN_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ALMACEN_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ALMACEN_RESERVA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ALMACEN_RESERVAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN_RESERVA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ALMACEN_RESERVAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN_RESERVA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetNOMBRE_ALMACEN_RESERVAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasNOMBRE_ALMACEN_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetNOMBRE_ALMACEN_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasNOMBRE_ALMACEN_RESERVA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldNOMBRE_ALMACEN_RESERVAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasNOMBRE_ALMACEN_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldNOMBRE_ALMACEN_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasNOMBRE_ALMACEN_RESERVA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetNOMBRE_ALMACEN_RESERVAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasNOMBRE_ALMACEN_RESERVA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetNOMBRE_ALMACEN_RESERVAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasNOMBRE_ALMACEN_RESERVA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_EMPRESA_ALMACEN_RESERVAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA_ALMACEN_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetID_EMPRESA_ALMACEN_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA_ALMACEN_RESERVA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_EMPRESA_ALMACEN_RESERVAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_EMPRESA_ALMACEN_RESERVA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_EMPRESA_ALMACEN_RESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_EMPRESA_ALMACEN_RESERVA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_EMPRESA_ALMACEN_RESERVAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA_ALMACEN_RESERVA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_EMPRESA_ALMACEN_RESERVAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA_ALMACEN_RESERVA] := Null;
end;


initialization
  RegisterBusinessProcessorRules(RID_InventarioDelta, TInventarioBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_DetalleReservasDelta, TDetalleReservasBusinessProcessorRules);

end.
